The Gimp 2.8 : le mode fenêtre unique enfin disponible


Stylo
Ça y est, The Gimp 2.8 est enfin disponible en version stable. Cette version était très attendue, et pour cause, elle propose désormais le mode fenêtre unique en version stable pour tous.

The Gimp 2.8 : le mode fenêtre unique enfin disponible

1. Les nouveautés

Voici la liste des nouveautés les plus importantes :

  • Ajout du mode fenêtre unique
  • Nombreuses améliorations graphiques (ouverture des fichiers sous forme d'onglets avec prévisualisation, interface beaucoup plus personnalisable, nouveau sablier de chargement pour les actions longues, ajustement des valeurs par des slides graphiques, etc.)
  • Publication du code source sous la licence GPLv3 au lieu de la version 2
  • Nouvel éditeur de canevas : l'édition des textes ne se fait plus dans une fenêtre séparée comme avant, mais directement sur l'image
  • Lorsque l'on sauvegarde une image, celle-ci est enregistrée au format XCF par défaut. Si on souhaite utiliser un autre format, il faut utiliser le menu Fichier → Exporter
  • Ajout de l'export au format PDF
  • Export des palettes de couleurs en CSS, PHP, Java, Python ou format texte
  • Possibilité de créer des groupes de calques et de les organiser ou de les fusionner entres-eux
  • On peut maintenant retourner les brosses et également les taguer pour les retrouver plus facilement
  • Un nouveau menu (Fichier → Créer→ Depuis une page web) permet d'importer une capture d'écran d'un site web directement dans The Gimp
  • Nouveaux raccourcis clavier. Désormais, si on utilise la touche 1, 2, 3, 4, 5 on peut appliquer rapidement un zoom de 100%, 200%, 400%, 800% et 1600%
  • Pour changer la langue du logiciel, on peut passer par le menu Édition → Préférences → Interface → Langue plutôt que par des variables système
  • Intégration de la librairie GEGL
  • Support des tablettes graphiques Wacom
  • Support du format JPEG2000 et de l'import des fichiers images RAW 16 bit

2. Installer The Gimp 2.8 sous Windows, MacOS ou Linux

Pour l'installer sous Windows vous pouvez télécharger l’exécutable sur cette page :
sourceforge.net/projects/gimp-win/

Pour Mac OS X :
gimp.lisanet.de/Website/Download.html

Pour l'installer sur une distribution à base d'Ubuntu, ouvrez un terminal et lancez les commandes suivantes :

sudo add-apt-repository ppa:otto-kesselgulasch/gimp
sudo apt-get update
sudo apt-get install gimp

Si par la suite vous voulez revenir en arrière, vous pouvez utiliser les commandes suivantes :

sudo apt-get install ppa-purge
sudo ppa-purge ppa:otto-kesselgulasch/gimp

3. Comment activer le mode fenêtre unique ?

Lorsque vous lancez The Gimp pour la première fois, celui-ci s'ouvre en mode multi-fenêtres. Pour activer le mode fenêtre unique, il faut aller dans le menu "Fenêtre" puis "Mode fenêtre unique" pour effectuer le basculement de l'un à l'autre.

Source


23 Commentaires pour "The Gimp 2.8 : le mode fenêtre unique enfin disponible"

Flux des commentaires de cet article Ajouter un commentaire
  •  

    Il sera quand même possible d'avoir l'ancienne visu j'espère ?

    RépondreRépondre
    H3 , le 3 mai 2012 à 14:31
  •  

    Sa c'est une trés bonne nouvelle, merci beaucoup je prend de suite.

    RépondreRépondre
    sl33k , le 3 mai 2012 à 16:10
  •  

    Sympa ! Perso j'aime pas trop le fait d'avoir plusieurs fenêtres, à l'utilisation c'était assez chiant.

    RépondreRépondre
    Ichigo-Roku , le 3 mai 2012 à 17:55
  •  

    @H3 : oui c'est possible de passer d'un mode à l'autre.

    RépondreRépondre
    pti-seb , le 3 mai 2012 à 19:49
  •  

    hum j'arrive pas à résoudre l'erreur suivante du "configure":

    Requested 'babl >= 0.1.10' but version of babl is 0.0.22

    pourtant j'ai installer:
    libbabl-0.0-0
    gir1.0-babl-0.0
    libbabl-0.0-0-dev

    Vous avez une idée?
    Thx

    RépondreRépondre
    sl33k , le 3 mai 2012 à 20:48
  •  

    @sl33k : tu lance la compilation sous quel système ? La tu montre que les paquets lib* et visiblement The Gimp veut le paquet babl tout court dans une version supérieure.

    RépondreRépondre
    pti-seb , le 3 mai 2012 à 21:50
  •  

    sur ubuntu 10.10 mais avec le kernel 3.1.5-030105 mais je pense pas que le kernel ai un rapport. ou je peux avoir c'est paquets avec la version plus récente?

    RépondreRépondre
    sl33k , le 3 mai 2012 à 22:09
  •  

    @sl33k : ça s'annonce assez sportif avec ton Ubuntu 10.10 assez obsolète. Tu peux tenter de passer par le dépôt git par exemple, pour installer la dernière version :

    git clone --depth 1 git://git.gnome.org/babl
    cd babl
    ./autogen.sh --prefix=/usr
    make -j4
    sudo make install -j4

    J'ai trouvé ça sur cette page, dédiée à la compilation de Gimp sous sous cette version d'Ubuntu.

    RépondreRépondre
    pti-seb , le 3 mai 2012 à 22:52
  •  

    salut seb,

    super nouvelle mais lorsque je l'ai installé avec ubuntu 12.04 cela fait planter les mises à jour

    RépondreRépondre
    sensei , le 4 mai 2012 à 10:26
  •  

    Ce menu ne semble pas exister:
    Fichier → Créer→ Depuis une page web
    pas d'infos non plus sur le site a propos de cette option...

    RépondreRépondre
    Tux , le 4 mai 2012 à 11:59
  •  

    @sensei : je n'ai pas eu de problème chez moi et encore aujourd'hui, je peux faire des mises à jour de mon système.

    @Tux : j'ai vérifié une deuxième fois, ce menu existe bien. Il faut faire un clic droit dans une zone vide pour le faire apparaître. Sinon vérifie la version de Gimp que tu utilises, au cas où.

    RépondreRépondre
    pti-seb , le 4 mai 2012 à 12:11
  •  

    @pti-seb : curieux j'ai GIMP 2.8.0-RC1 sous Ubuntu
    et dans le menu seulement les options suivantes:

    Creer :

    Depuis le presse papier
    Capture d'ecran...

    Bouton
    Logo
    Nouvelle brosse
    Motifs
    Theme de page web

    RépondreRépondre
    Tux , le 4 mai 2012 à 17:49
  •  

    Enfin tu peux le dire ! Je déteste ce soft rien qu'a cause de ça depuis des années !

    Je me demande pourquoi une si longue attente...

    RépondreRépondre
    david , le 5 mai 2012 à 11:25
  •  

    Salut tout le monde,

    Et sur Mint Lisa c'est les mêmes lignes de commande ?

    Merci

    RépondreRépondre
    Minicac , le 5 mai 2012 à 12:07
  •  

    @All : Gimp 2.8 est disponible dans les dépôts Archlinux officiels depuis aujourd'hui.

    @Minicac : Linux Mint est un dérivé d'Ubuntu, donc en théorie ça pourrait marcher.

    RépondreRépondre
    pti-seb , le 5 mai 2012 à 12:53
  •  

    Voila Gimp 2.8 est installé ! Dommage que ce ne soit même pas la 2.7 par défaut au moins ! (2.6 par défaut sous Ubuntu).
    Il va falloir que je redécouvre ce magnifique logiciel ! :)

    Merci pour l'info. :)

    RépondreRépondre
    Passionaqua.Web , le 6 mai 2012 à 13:53
  •  

    Whaaaaa ! J'utilise tout le temps gimp et franchement le multi fenetre c'etait l'une des plus grandes fausses idées du monde libre selon moi...
    Merci pour l'info !

    J'ajouterai juste un petit lien pour ceux qui, comme moi, doivent supporter win-dob au boulo :
    http://sourceforge.net/projects/gimp-win/

    bonne journée mes pingouins !

    RépondreRépondre
    kazanova , le 6 mai 2012 à 16:52
  •  

    @kazanova : j'ai changé le lien dans l'article pour ceux qui veulent télécharger Gimp sous Windows.

    RépondreRépondre
    pti-seb , le 6 mai 2012 à 20:11
  •  

    salut Seb,

    cela ne fonctionne pas je n'ai plus gimp mais toujours impossibilité d'ajouter un soft via la logithèque ubuntu ni de mette à jour le système.

    RépondreRépondre
    sensei , le 6 mai 2012 à 23:15
  •  

    @sensei : As-tu un message d'erreur. je doute qu l'installation de Gimp soit lié à ton problème.

    RépondreRépondre
    pti-seb , le 7 mai 2012 à 08:22
  •  

    @pti-seb : Effectivement, quand j'ai ajouté le ppa dans le terminal, il m'a dit ça:

    You are about to add the following PPA to your system:
    CAUTION!

    This PPA could break your installed OS. There are dependency issues for Oneiric Ocelot (11.10). Only use it if you know what you do!

    There should be no problems in Precise Pangolin (12.04).

    Regards
    More info: https://launchpad.net/~otto-kesselgulasch/+archive/gimp
    Press [ENTER] to continue or ctrl-c to cancel adding it

    Du coup je n'ai pas été plus loin.

    @sensei: Essaye peut-être la manip pour revenir en arrière comme décrit dans l'article

    RépondreRépondre
    Coriolis , le 9 mai 2012 à 19:25
  •  

    Bonjour,
    L'installation de gimp 2.8 telle qu'elle est décrite plante Ubuntu 12.04. Une longue liste de paquets cassés ; impossibilité de revenir en arrière avec la procédure du Terminal.
    J'ai supprimé le dépôt indiqué à partir de Synaptic puis désinstallé gimp ; ensuite, j'ai activé "tout recharger" et réinstallé gimp.
    J'ai enfin tout nettoyé avec Ubuntu Tweak
    J'en conclus que la mise en garde lors de l'installation du ppa doit être prise très au sérieux et qu'il faut être averti pour se lancer dans cette opération.

    RépondreRépondre
    Maxenceul , le 12 mai 2012 à 12:43
  •  

    @Maxenceul : d'une façon générale, tous les PPA peuvent rendre une distribution instable. Personnellement, j'ai testé celui cité dans cet article et je n'ai pas eu de problème. C'est d'ailleurs le PPA qu'il est recommandé d'utiliser sur plusieurs sites Anglais.

    RépondreRépondre
    pti-seb , le 14 mai 2012 à 08:33
 

Ajouter un commentaire

actualité android apache apple astuce astuces bash bilboblog blog boot chrome clavier commande commandes conky date debian Desktop développement elementary exploit faille fedora firefox flash gimp gnome google graphique Graphisme hack hacking Hardware humour intel internet iphone jailbreak Jeux Kde kernel libre Linux log logiciels Logiciels Libres lucid lynx maemo mail maquette metasploit microsoft mobile mockup monitoring mozilla multi-touch musique mysql n900 nautilus nokia noyau openoffice open source password photos php Planet publicité red hat redhat rpm réseau screenshot script serveur serveurs shell sql ssh statistiques sysadmin system Sécurité thème tux-planet tv twitter ubuntu unity vidéo vidéos vlc voyage wallpaper windows wordpress yum